package com.dxhy.base.model;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

/**
 * @author peipei.li
 * @date 2019-04-16 进项税转出列表页返回list
 */
@Data
public class BaseInvoiceRespVO extends BaseBaseRespVO {

    /**
     * 认证日期
     */
    private String certDate;
    /**
     * 发票代码
     */
    private String invoiceCode;
    /**
     * 发票号码
     */
    private String invoiceNo;
    /**
     * 发票类型
     */
    private String invoiceType;
    /**
     * 开票日期
     */
    private String invoiceDate;
    /**
     * 发票状态
     */
    private String invoiceStatusName;
    /**
     * 购方税号
     */
    private String gfsh;
    /**
     * 购方名称
     */
    private String buyerName;
    /**
     * 销方名称
     */
    private String sellerName;
    /**
     * 金额
     */
    private String amount;
    /**
     * 税额
     */
    private String taxAmount;

    /**
     * 可转出金额
     */
    private String canOutAmount;

    /**
     * 可转出税额
     */
    private String canOutTaxAmount;

    /**
     * 抵扣税额
     */
    private String dkTaxAmount;
    /**
     * 价税合计
     */
    private String totalAmount;

    //凭证号
    private String snVoucherNumber;
    //账期
    private String accountPeriod;
    //过账时间
    private String postingTime;
    //影像号
    @TableField("image_id")
    private String imageNumber;
    //报账单号
    private String bzdh;
    /**
     * 组织编码
     */
    private String compCode;

    private String bzr;

    private String inAccountStatus;
}
