package com.dxhy.domestic.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author dxhy
 */
@Data
@ApiModel("认证查询接口返回列表VO")
public class AuthenticationCheckListVO implements Serializable {

    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("序号")
    private String order;

    @ApiModelProperty("发票代码")
    private String invoiceCode;

    @ApiModelProperty("发票号码")
    private String invoiceNo;

    @ApiModelProperty("发票类型")
    private String invoiceType;

    @ApiModelProperty("发票状态")
    private String invoiceStatus;

    @ApiModelProperty("开票日期")
    private String invoiceDate;

    @ApiModelProperty("购方税号")
    private String buyerTax;

    @ApiModelProperty("购方名称")
    private String buyerName;

    @ApiModelProperty("销方税号")
    private String sellerTax;

    @ApiModelProperty("销方名称")
    private String sellerName;

    @ApiModelProperty("金额")
    private String invoiceAmount;

    @ApiModelProperty("税额")
    private String taxAmount;

    @ApiModelProperty("签收状态")
    private String signInStatus;

    @ApiModelProperty("签收日期")
    private String signInDate;

    @ApiModelProperty("签收方式")
    private String signInType;

    @ApiModelProperty("签收人")
    private String signInPeople;

    @ApiModelProperty("认证时间")
    private String authenticationDate;

    @ApiModelProperty("认证状态，0：已认证，1：未认证")
    private String authenticationStatus;

    @ApiModelProperty("认证处理状态")
    private String authenticationDetailStatus;

    @ApiModelProperty("认证类型")
    private String authenticationType;

    @ApiModelProperty("认证人")
    private String authenticationPerson;

    @ApiModelProperty("税款所属期")
    private String taxPeriod;

    @ApiModelProperty("业务单元")
    private String businessName;

    //凭证号
    private String snVoucherNumber;
    //账期
    private String accountPeriod;
    //过账时间
    private String postingTime;
    //影像号
    private String imageNumber;
    //报账单号
    private String bzdh;
    /**
     * 组织编码
     */
    private String compCode;

    private String bzr;

    private String inAccountStatus;

}
