package com.dxhy.extend.service.pool;

import java.util.List;
import java.util.Map;

import com.dxhy.common.service.MpBaseService;
import com.dxhy.extend.entity.ExtAddTaxInvoice;
import com.dxhy.extend.entity.PullRecordReq;

/**
 * @author dxhy
 */
public interface ExtInvoicePoolService extends MpBaseService<ExtAddTaxInvoice> {

    /**
     * 待填
     *
     * @param pramsMap
     *            查询条件
     * @param curr
     *            分页
     * @param size
     *            条数
     * @return 返回
     */
    String listAddTax(Map<String, Object> pramsMap, int curr, int size);

    /**
     * 待填
     *
     * @param pramsMap
     *            查询条件
     * @param curr
     *            分页
     * @param size
     *            条数
     * @return 返回
     */
    Object listOther(Map<String, Object> pramsMap, int curr, int size);

    /**
     * 待填
     *
     * @param pramsMap
     *            查询条件
     * @param curr
     *            分页
     * @param size
     *            条数
     * @return 返回
     */
    Object listSaleInvoice(Map<String, Object> pramsMap, int curr, int size);

    /**
     * 待填
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     */
    Object amortizeRecord(Map<String, Object> pramsMap);

    Object incentiveFlagList(String dbName);

    Object selectPullRecord(PullRecordReq pullRecordReq);

    List<String> getGfshList(List<String> gfshList, List<String> companyCode);
}
