package com.dxhy.base.model;

import lombok.Data;

/**
 * @author peipei.li
 * @date 2019-04-24 已转出进项税列表页返回list view
 */
@Data
public class BaseReceiptOutRespVO extends BaseBaseRespVO {

    /**
     * 转出日期
     */
    private String outDate;
    /**
     * 发票代码
     */
    private String invoiceCode;
    /**
     * 发票号码
     */
    private String invoiceNo;
    /**
     * 发票类型
     */
    private String invoiceType;
    /**
     * 开票日期
     */
    private String invoiceDate;
    /**
     * 发票状态
     */
    private String invoiceStatusName;
    /**
     * 购方税号
     */
    private String gfsh;
    /**
     * 购方名称
     */
    private String buyerName;
    /**
     * 销方名称
     */
    private String sellerName;
    /**
     * 金额
     */
    private String amount;
    /**
     * 税额
     */
    private String taxAmount;

    /**
     * 转出金额
     */
    private String outAmount;

    /**
     * 转出税额
     */
    private String outTax;

    /**
     * 转出原因
     */
    private String reason;

    private String remark;

    private String outBelongDate;

    //凭证号
    private String snVoucherNumber;
    //账期
    private String accountPeriod;
    //过账时间
    private String postingTime;
    //影像号
    private String imageNumber;
    //报账单号
    private String bzdh;
    /**
     * 组织编码
     */
    private String compCode;

    private String bzr;

    private String inAccountStatus;

}
