package com.dxhy.core.model;

import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author user
 * @date 2019-05-07 异常发票预警导出查询条件
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class CautionAbnormalReqVO extends BaseExportVO {
    /**
     * 购方税号
     */
    private String gfsh;

    private String companyCode;

    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 发票状态
     */
    private String invoiceStatus;

    /**
     * 异常时间 开始
     */
    private Date ycStartDate;

    /**
     * 异常时间 结束
     */
    private Date ycEndDate;
    /**
     * 集团编码
     */
    private String company;
    /**
     * 菜单
     *
     * @author 陈刚扬
     * @date 2020/11/17
     * @param null
     * @return
     */
    private String menuId;
}
