package com.dxhy.core.model;

import java.io.Serializable;

import lombok.Data;

/**
 * 发票签收失败报表list
 *
 * @author user
 */
@Data
public class QssbRespVO implements Serializable {

    private static final long serialVersionUID = -3744038147014906548L;

    /**
     * id
     */
    private String id;

    /**
     * 序号
     */
    private String xh;

    /**
     * 签收日期
     */
    private String qsrq;

    /**
     * 签收状态
     */
    private String qszt;

    /**
     * 签收方式
     */
    private String qsfs;

    /**
     * 签收人
     */
    private String qsr;

    /**
     * 发票代码
     */
    private String fpdm;

    /**
     * 发票号码
     */
    private String fphm;

    private String invoiceType;

    /**
     * 开票日期
     */
    private String kprq;

    /**
     * 购方税号
     */
    private String gfsh;

    /**
     * 购方名称
     */
    private String gfmc;

    /**
     * 销方税号
     */
    private String xfsh;

    private String xfmc;
    /**
     * 金额
     */
    private String je;

    /**
     * 税额
     */
    private String se;
    /**
     * 唯一标识
     */
    private String uuid;
    /**
     * 业务单元
     *
     * @author 陈刚扬
     * @date 2020/11/17
     * @param null
     * @return
     */
    private String businessName;
    private String deptName;

    private String snVoucherNumber;
    private String postingTime;
    private String imageId;
    private String accountPeriod;
    private String compCode;
    private String inaccountStatus;
    private String bzdh;
    private String bzr;
}
