package com.dxhy.extend.model;

import java.io.Serializable;

import lombok.Data;

/**
 *
 *
 * 发票签收失败报表list
 *
 * @author zhanghong @date 2019年5月15日
 *
 */
@Data
public class ExtQssbRespVO implements Serializable {

    private static final long serialVersionUID = -3744038147014906548L;

    /**
     * id
     */
    private String id;

    /**
     * uuid
     */
    private String uuid;

    /**
     * 序号
     */
    private String xh;

    /**
     * 签收日期
     */
    private String qsrq;

    /**
     * 签收状态
     */
    private String qszt;

    /**
     * 签收方式
     */
    private String qsfs;

    /**
     * 签收人
     */
    private String qsr;

    /**
     * 发票代码
     */
    private String fpdm;

    /**
     * 发票号码
     */
    private String fphm;

    /**
     * 开票日期
     */
    private String kprq;

    /**
     * 购方税号
     */
    private String gfsh;

    /**
     * 购方名称
     */
    private String gfmc;

    /**
     * 销方税号
     */
    private String xfsh;

    /**
     * 销方名称
     */
    private String xfmc;

    /**
     * 金额
     */
    private String je;

    /**
     * 税额
     */
    private String se;

    /**
     * 发票类型
     */
    private String invoiceType;

    /** 业务单元 */
    private String businessName;

    //凭证号
    private String snVoucherNumber;
    //账期
    private String accountPeriod;
    //过账时间
    private String postingTime;
    //影像号
    private String imageNumber;
    //报账单号
    private String bzdh;
    /**
     * 组织编码
     */
    private String compCode;

    private String bzr;

    private String inAccountStatus;
}
